export declare type NotificationID = number;
export declare type NotificationContents = string | HTMLElement;
export declare type ActiveNotifications = Map<NotificationID, Notification>;
export interface NotificationOptions {
    element?: HTMLElement;
    dismissible?: boolean;
    timeout?: number | boolean;
}
export interface Notification {
    id: NotificationID;
    timeoutID?: any;
    contents: NotificationContents;
    element: HTMLElement;
    destroy: () => void;
}
export interface NotificationManagerOptions {
    container?: HTMLElement | null;
    defaultTimeout?: number;
    defaultDismissible?: boolean;
}
export interface NotificationManager {
    createNotification: (contents: NotificationContents, options?: NotificationOptions) => Notification;
    destroyNotification: (notificationID: NotificationID) => void;
    destroyAllNotifications: () => void;
    destroy: () => void;
    destroyed: boolean;
    element: HTMLElement;
    activeNotifications: ActiveNotifications;
}
export declare class NotificationManagerDestroyedError extends Error {
    message: string;
}
export declare function getNextNotificationID(activeNotifications: ActiveNotifications): NotificationID;
export declare function createNotificationManager({ defaultTimeout, container, defaultDismissible, }?: NotificationManagerOptions): NotificationManager;
